Package com.google.javascript.jscomp

# Enum CompilerOptions.Reach

java.lang.Object
java.lang.Enum<CompilerOptions.Reach>
com.google.javascript.jscomp.CompilerOptions.Reach

All Implemented Interfaces:
  `Serializable`, `Comparable<CompilerOptions.Reach>`, `java.lang.constant.Constable`

Enclosing class:
  `CompilerOptions`

public static enum CompilerOptions.Reach extends Enum<CompilerOptions.Reach>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
`LOCAL_ONLY`
`NONE`

## Method Summary

Modifier and Type
Method
Description
`static CompilerOptions.Reach`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompilerOptions.Reach[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ALL

public static final CompilerOptions.Reach ALL

### LOCAL_ONLY

public static final CompilerOptions.Reach LOCAL_ONLY

### NONE

public static final CompilerOptions.Reach NONE

## Method Details

### values

public static CompilerOptions.Reach[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CompilerOptions.Reach valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null